!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           28 Jan 24 22:30:03 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt50_lumen_pdgf_tgf
! Evaluation time                 : 21 s    Mode  : Optimal
! Number of formulae              : 595     Method: Automatic
! Subroutine                      : elmt50_lumen_pdgf_tgf size: 13150
! Total size of Mathematica  code : 13150 subexpressions
! Total size of Fortran code      : 34280 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt50_lumen_pdgf_tgf(dt,t,Xn,Un,xi,eta,zeta,rhoEvec
     &,kE,rhoEeq,siE,qPbarref,lB1P,qTbarref,lB1T,lfP,lfT,resP,tangPU
     &,tangPEn,resT,tangTU,tangTEn)
      IMPLICIT NONE
      include 'sms.h'
      DOUBLE PRECISION v(1139),dt,t,Xn(4,3),Un(4,3),xi,eta
     &,zeta,rhoEvec(4),kE,rhoEeq,siE,qPbarref,lB1P,qTbarref,lB1T,lfP
     &,lfT,resP(4),tangPU(4,12),tangPEn(4,4),resT(4),tangTU(4,12)
     &,tangTEn(4,4)
      v(2)=t
      v(3)=Xn(1,1)
      v(4)=Xn(1,2)
      v(5)=Xn(1,3)
      v(6)=Xn(2,1)
      v(7)=Xn(2,2)
      v(8)=Xn(2,3)
      v(9)=Xn(3,1)
      v(10)=Xn(3,2)
      v(11)=Xn(3,3)
      v(12)=Xn(4,1)
      v(1007)=-v(12)+v(3)
      v(74)=(v(1007)-v(6)+v(9))/4d0
      v(13)=Xn(4,2)
      v(1006)=-v(13)+v(4)
      v(73)=(v(10)+v(1006)-v(7))/4d0
      v(14)=Xn(4,3)
      v(1005)=-v(14)+v(5)
      v(72)=(v(1005)+v(11)-v(8))/4d0
      v(27)=xi
      v(46)=1d0-v(27)
      v(57)=(-0.25d0)*v(46)
      v(44)=1d0+v(27)
      v(58)=(-0.25d0)*v(44)
      v(61)=v(1005)*v(57)+v(58)*(-v(11)+v(8))
      v(60)=v(1006)*v(57)+v(58)*(-v(10)+v(7))
      v(80)=-(v(60)*v(72))+v(61)*v(73)
      v(59)=v(1007)*v(57)+v(58)*(v(6)-v(9))
      v(78)=v(59)*v(72)-v(61)*v(74)
      v(76)=-(v(59)*v(73))+v(60)*v(74)
      v(28)=eta
      v(53)=(1d0+v(28))/4d0
      v(52)=((-1d0)+v(28))/4d0
      v(56)=(v(11)-v(14))*v(53)+v(52)*(v(5)-v(8))
      v(55)=(v(10)-v(13))*v(53)+v(52)*(v(4)-v(7))
      v(79)=v(55)*v(72)-v(56)*v(73)
      v(54)=v(52)*(v(3)-v(6))+v(53)*(-v(12)+v(9))
      v(77)=-(v(54)*v(72))+v(56)*v(74)
      v(75)=v(54)*v(73)-v(55)*v(74)
      v(29)=zeta
      v(41)=-(v(46)*v(52))
      v(43)=-(v(44)*v(52))
      v(45)=v(44)*v(53)
      v(48)=v(46)*v(53)
      v(62)=-(v(55)*v(59))+v(54)*v(60)
      v(63)=v(56)*v(59)-v(54)*v(61)
      v(64)=-(v(56)*v(60))+v(55)*v(61)
      v(83)=(v(62)*v(62))+(v(63)*v(63))+(v(64)*v(64))
      v(82)=sqrt(v(83))
      v(81)=dabs(v(82))
      v(1008)=-(dsign(1.d0,v(82))/(v(81)**2*sqrt(v(83))))
      v(86)=v(1008)*(v(62)*v(76)+v(63)*v(78)+v(64)*v(80))
      v(84)=v(1008)*(v(62)*v(75)+v(63)*v(77)+v(64)*v(79))
      v(98)=v(61)+v(29)*(v(76)/v(81)+v(62)*v(86))
      v(97)=v(56)+v(29)*(v(75)/v(81)+v(62)*v(84))
      v(96)=v(60)+v(29)*(v(78)/v(81)+v(63)*v(86))
      v(95)=v(55)+v(29)*(v(77)/v(81)+v(63)*v(84))
      v(161)=-(v(96)*v(97))+v(95)*v(98)
      v(94)=v(59)+v(29)*(v(80)/v(81)+v(64)*v(86))
      v(93)=v(54)+v(29)*(v(79)/v(81)+v(64)*v(84))
      v(169)=-(v(94)*v(95))+v(93)*v(96)
      v(165)=v(94)*v(97)-v(93)*v(98)
      v(65)=v(64)/v(81)
      v(67)=v(63)/v(81)
      v(171)=-(v(67)*v(93))+v(65)*v(95)
      v(170)=v(67)*v(94)-v(65)*v(96)
      v(68)=v(62)/v(81)
      v(1023)=dt*((v(65)*v(65))+(v(67)*v(67))+(v(68)*v(68)))
      v(167)=v(68)*v(93)-v(65)*v(97)
      v(166)=-(v(68)*v(94))+v(65)*v(98)
      v(163)=-(v(68)*v(95))+v(67)*v(97)
      v(162)=v(68)*v(96)-v(67)*v(98)
      v(99)=Un(1,1)+v(3)
      v(100)=Un(1,2)+v(4)
      v(101)=Un(1,3)+v(5)
      v(102)=Un(2,1)+v(6)
      v(103)=Un(2,2)+v(7)
      v(104)=Un(2,3)+v(8)
      v(105)=Un(3,1)+v(9)
      v(106)=Un(3,2)+v(10)
      v(107)=Un(3,3)+v(11)
      v(108)=Un(4,1)+v(12)
      v(1009)=-v(108)+v(99)
      v(130)=(v(1009)-v(102)+v(105))/4d0
      v(117)=v(1009)*v(57)+(v(102)-v(105))*v(58)
      v(224)=-(v(117)*v(53))
      v(214)=-(v(117)*v(52))
      v(196)=(-0.25d0)*v(117)
      v(197)=-v(196)+v(130)*v(58)
      v(193)=v(196)+v(130)*v(57)
      v(114)=(v(105)-v(108))*v(53)+v(52)*(-v(102)+v(99))
      v(223)=v(114)*v(57)
      v(225)=-v(223)-v(224)
      v(1016)=2d0*v(225)
      v(218)=v(114)*v(58)
      v(219)=-v(218)+v(224)
      v(215)=-v(214)+v(218)
      v(211)=v(214)+v(223)
      v(202)=v(114)/4d0
      v(203)=v(202)-v(130)*v(53)
      v(199)=v(202)-v(130)*v(52)
      v(109)=Un(4,2)+v(13)
      v(1010)=v(100)-v(109)
      v(131)=(v(1010)-v(103)+v(106))/4d0
      v(118)=v(1010)*v(57)+(v(103)-v(106))*v(58)
      v(221)=v(118)*v(53)
      v(212)=v(118)*v(52)
      v(194)=v(118)/4d0
      v(195)=-v(194)-v(131)*v(58)
      v(192)=v(194)-v(131)*v(57)
      v(134)=v(118)*v(130)-v(117)*v(131)
      v(1022)=2d0*v(134)
      v(115)=(v(100)-v(103))*v(52)+(v(106)-v(109))*v(53)
      v(220)=-(v(115)*v(57))
      v(222)=-v(220)-v(221)
      v(216)=-(v(115)*v(58))
      v(217)=-v(216)+v(221)
      v(213)=-v(212)+v(216)
      v(210)=v(212)+v(220)
      v(200)=(-0.25d0)*v(115)
      v(201)=v(200)+v(131)*v(53)
      v(198)=v(200)+v(131)*v(52)
      v(133)=-(v(115)*v(130))+v(114)*v(131)
      v(1019)=2d0*v(133)
      v(110)=Un(4,3)+v(14)
      v(1011)=v(101)-v(110)
      v(132)=(v(1011)-v(104)+v(107))/4d0
      v(119)=v(1011)*v(57)+(v(104)-v(107))*v(58)
      v(232)=-(v(119)*v(53))
      v(227)=-(v(119)*v(52))
      v(205)=v(119)/4d0
      v(206)=-v(205)-v(132)*v(58)
      v(204)=v(205)-v(132)*v(57)
      v(138)=v(119)*v(131)-v(118)*v(132)
      v(1020)=2d0*v(138)
      v(136)=-(v(119)*v(130))+v(117)*v(132)
      v(1021)=2d0*v(136)
      v(116)=(v(101)-v(104))*v(52)+(v(107)-v(110))*v(53)
      v(231)=v(116)*v(57)
      v(233)=-v(231)-v(232)
      v(229)=v(116)*v(58)
      v(230)=-v(229)+v(232)
      v(228)=-v(227)+v(229)
      v(226)=v(227)+v(231)
      v(208)=(-0.25d0)*v(116)
      v(209)=v(208)+v(132)*v(53)
      v(207)=v(208)+v(132)*v(52)
      v(137)=-(v(116)*v(131))+v(115)*v(132)
      v(1017)=2d0*v(137)
      v(135)=v(116)*v(130)-v(114)*v(132)
      v(1018)=2d0*v(135)
      v(120)=-(v(115)*v(117))+v(114)*v(118)
      v(1012)=2d0*v(120)
      v(331)=v(1012)*v(203)
      v(328)=v(1012)*v(201)
      v(319)=v(1012)*v(199)
      v(316)=v(1012)*v(198)
      v(306)=v(1012)*v(193)
      v(303)=v(1012)*v(192)
      v(297)=v(1012)*v(197)
      v(294)=v(1012)*v(195)
      v(121)=v(116)*v(117)-v(114)*v(119)
      v(1013)=(-2d0)*v(121)
      v(335)=v(1013)*v(203)
      v(329)=v(1013)*v(209)
      v(323)=v(1013)*v(199)
      v(317)=v(1013)*v(207)
      v(310)=v(1013)*v(193)
      v(304)=v(1013)*v(204)
      v(301)=v(1013)*v(197)
      v(295)=v(1013)*v(206)
      v(243)=2d0*(v(120)*v(222)+v(121)*v(233))
      v(240)=2d0*(v(120)*v(217)+v(121)*v(230))
      v(237)=2d0*(v(120)*v(213)+v(121)*v(228))
      v(234)=2d0*(v(120)*v(210)+v(121)*v(226))
      v(122)=-(v(116)*v(118))+v(115)*v(119)
      v(1014)=2d0*v(122)
      v(334)=-(v(1014)*v(201))
      v(332)=v(1014)*v(209)
      v(322)=-(v(1014)*v(198))
      v(320)=v(1014)*v(207)
      v(312)=2d0*(v(120)*v(133)+v(121)*v(135)+v(122)*v(137))
      v(309)=-(v(1014)*v(192))
      v(307)=v(1014)*v(204)
      v(300)=-(v(1014)*v(195))
      v(298)=v(1014)*v(206)
      v(287)=2d0*(v(120)*v(134)+v(121)*v(136)+v(122)*v(138))
      v(245)=(-2d0)*(v(122)*v(222)+v(121)*v(225))
      v(244)=v(1012)*v(225)-v(1014)*v(233)
      v(242)=(-2d0)*(v(122)*v(217)+v(121)*v(219))
      v(241)=v(1012)*v(219)-v(1014)*v(230)
      v(239)=(-2d0)*(v(122)*v(213)+v(121)*v(215))
      v(238)=v(1012)*v(215)-v(1014)*v(228)
      v(236)=(-2d0)*(v(122)*v(210)+v(121)*v(211))
      v(235)=v(1012)*v(211)-v(1014)*v(226)
      v(141)=(v(120)*v(120))+(v(121)*v(121))+(v(122)*v(122))
      v(140)=sqrt(v(141))
      v(259)=dsign(1.d0,v(140))
      v(1015)=v(259)/(2d0*sqrt(v(141)))
      v(271)=v(1015)*v(245)
      v(270)=v(1015)*v(244)
      v(269)=v(1015)*v(243)
      v(268)=v(1015)*v(242)
      v(267)=v(1015)*v(241)
      v(266)=v(1015)*v(240)
      v(265)=v(1015)*v(239)
      v(264)=v(1015)*v(238)
      v(263)=v(1015)*v(237)
      v(262)=v(1015)*v(236)
      v(261)=v(1015)*v(235)
      v(260)=v(1015)*v(234)
      v(139)=dabs(v(140))
      v(275)=(2d0*v(1015))/v(139)**3
      v(272)=1d0/v(139)**2
      v(348)=-(v(271)*v(272))
      v(576)=v(120)*v(348)
      v(347)=-(v(270)*v(272))
      v(555)=v(121)*v(347)
      v(346)=-(v(269)*v(272))
      v(538)=v(122)*v(346)
      v(345)=-(v(268)*v(272))
      v(571)=v(120)*v(345)
      v(344)=-(v(267)*v(272))
      v(551)=v(121)*v(344)
      v(343)=-(v(266)*v(272))
      v(535)=v(122)*v(343)
      v(342)=-(v(265)*v(272))
      v(566)=v(120)*v(342)
      v(341)=-(v(264)*v(272))
      v(547)=v(121)*v(341)
      v(340)=-(v(263)*v(272))
      v(532)=v(122)*v(340)
      v(339)=-(v(262)*v(272))
      v(561)=v(120)*v(339)
      v(338)=-(v(261)*v(272))
      v(543)=v(121)*v(338)
      v(337)=-(v(260)*v(272))
      v(529)=v(122)*v(337)
      v(274)=(v(259)*v(272))/(4d0*v(141)**0.15d1)
      v(286)=v(245)*v(274)+v(271)*v(275)
      v(285)=v(244)*v(274)+v(270)*v(275)
      v(284)=v(243)*v(274)+v(269)*v(275)
      v(283)=v(242)*v(274)+v(268)*v(275)
      v(282)=v(241)*v(274)+v(267)*v(275)
      v(281)=v(240)*v(274)+v(266)*v(275)
      v(280)=v(239)*v(274)+v(265)*v(275)
      v(279)=v(238)*v(274)+v(264)*v(275)
      v(278)=v(237)*v(274)+v(263)*v(275)
      v(277)=v(236)*v(274)+v(262)*v(275)
      v(276)=v(235)*v(274)+v(261)*v(275)
      v(273)=v(234)*v(274)+v(260)*v(275)
      v(143)=-(v(1015)*v(272))
      v(336)=v(286)*v(312)-v(143)*(v(1016)*v(135)+v(1017)*v(222)+v
     &(334)+v(335))
      v(404)=v(29)*(v(120)*v(336)+v(133)*v(348))-v(53)
      v(333)=v(285)*v(312)+v(143)*(v(1016)*v(133)-v(1017)*v(233)-v
     &(331)-v(332))
      v(463)=v(29)*(v(121)*v(333)+v(135)*v(347))-v(53)
      v(330)=v(284)*v(312)+v(143)*(v(1019)*v(222)+v(1018)*v(233)-v
     &(328)-v(329))
      v(526)=v(29)*(v(122)*v(330)+v(137)*v(346))-v(53)
      v(327)=v(283)*v(312)+v(143)*(-(v(1017)*v(217))-v(1018)*v(219)+v
     &(334)+v(335))
      v(401)=v(29)*(v(120)*v(327)+v(133)*v(345))+v(53)
      v(326)=v(282)*v(312)+v(143)*(v(1019)*v(219)-v(1017)*v(230)+v
     &(331)+v(332))
      v(460)=v(29)*(v(121)*v(326)+v(135)*v(344))+v(53)
      v(325)=v(281)*v(312)+v(143)*(v(1019)*v(217)+v(1018)*v(230)+v
     &(328)+v(329))
      v(523)=v(29)*(v(122)*v(325)+v(137)*v(343))+v(53)
      v(324)=v(280)*v(312)-v(143)*(v(1017)*v(213)+v(1018)*v(215)+v
     &(322)+v(323))
      v(398)=v(29)*(v(120)*v(324)+v(133)*v(342))-v(52)
      v(321)=v(279)*v(312)+v(143)*(v(1019)*v(215)-v(1017)*v(228)-v
     &(319)-v(320))
      v(457)=v(29)*(v(121)*v(321)+v(135)*v(341))-v(52)
      v(318)=v(278)*v(312)+v(143)*(v(1019)*v(213)+v(1018)*v(228)-v
     &(316)-v(317))
      v(520)=v(29)*(v(122)*v(318)+v(137)*v(340))-v(52)
      v(315)=v(277)*v(312)+v(143)*(-(v(1017)*v(210))-v(1018)*v(211)+v
     &(322)+v(323))
      v(395)=v(29)*(v(120)*v(315)+v(133)*v(339))+v(52)
      v(314)=v(276)*v(312)+v(143)*(v(1019)*v(211)-v(1017)*v(226)+v
     &(319)+v(320))
      v(454)=v(29)*(v(121)*v(314)+v(135)*v(338))+v(52)
      v(313)=v(273)*v(312)+v(143)*(v(1019)*v(210)+v(1018)*v(226)+v
     &(316)+v(317))
      v(517)=v(29)*(v(122)*v(313)+v(137)*v(337))+v(52)
      v(311)=v(286)*v(287)-v(143)*(v(1016)*v(136)+v(1020)*v(222)+v
     &(309)+v(310))
      v(376)=v(29)*(v(120)*v(311)+v(134)*v(348))-v(57)
      v(308)=v(285)*v(287)+v(143)*(v(1016)*v(134)-v(1020)*v(233)-v
     &(306)-v(307))
      v(433)=v(29)*(v(121)*v(308)+v(136)*v(347))-v(57)
      v(305)=v(284)*v(287)+v(143)*(v(1022)*v(222)+v(1021)*v(233)-v
     &(303)-v(304))
      v(494)=v(29)*(v(122)*v(305)+v(138)*v(346))-v(57)
      v(302)=v(283)*v(287)-v(143)*(v(1020)*v(217)+v(1021)*v(219)+v
     &(300)+v(301))
      v(373)=v(29)*(v(120)*v(302)+v(134)*v(345))-v(58)
      v(299)=v(282)*v(287)+v(143)*(v(1022)*v(219)-v(1020)*v(230)-v
     &(297)-v(298))
      v(430)=v(29)*(v(121)*v(299)+v(136)*v(344))-v(58)
      v(296)=v(281)*v(287)+v(143)*(v(1022)*v(217)+v(1021)*v(230)-v
     &(294)-v(295))
      v(491)=v(29)*(v(122)*v(296)+v(138)*v(343))-v(58)
      v(293)=v(280)*v(287)+v(143)*(-(v(1020)*v(213))-v(1021)*v(215)+v
     &(300)+v(301))
      v(370)=v(29)*(v(120)*v(293)+v(134)*v(342))+v(58)
      v(292)=v(279)*v(287)+v(143)*(v(1022)*v(215)-v(1020)*v(228)+v
     &(297)+v(298))
      v(427)=v(29)*(v(121)*v(292)+v(136)*v(341))+v(58)
      v(291)=v(278)*v(287)+v(143)*(v(1022)*v(213)+v(1021)*v(228)+v
     &(294)+v(295))
      v(488)=v(29)*(v(122)*v(291)+v(138)*v(340))+v(58)
      v(290)=v(277)*v(287)+v(143)*(-(v(1020)*v(210))-v(1021)*v(211)+v
     &(309)+v(310))
      v(367)=v(29)*(v(120)*v(290)+v(134)*v(339))+v(57)
      v(289)=v(276)*v(287)+v(143)*(v(1022)*v(211)-v(1020)*v(226)+v
     &(306)+v(307))
      v(424)=v(29)*(v(121)*v(289)+v(136)*v(338))+v(57)
      v(288)=v(273)*v(287)+v(143)*(v(1022)*v(210)+v(1021)*v(226)+v
     &(303)+v(304))
      v(485)=v(29)*(v(122)*v(288)+v(138)*v(337))+v(57)
      v(144)=v(143)*v(287)
      v(483)=v(144)*v(222)
      v(481)=v(144)*v(233)
      v(478)=v(144)*v(217)
      v(476)=v(144)*v(230)
      v(473)=v(144)*v(213)
      v(471)=v(144)*v(228)
      v(468)=v(144)*v(210)
      v(466)=v(144)*v(226)
      v(421)=v(144)*v(225)
      v(416)=v(144)*v(219)
      v(411)=v(144)*v(215)
      v(407)=v(144)*v(211)
      v(142)=v(143)*v(312)
      v(515)=v(142)*v(222)
      v(513)=v(142)*v(233)
      v(510)=v(142)*v(217)
      v(508)=v(142)*v(230)
      v(505)=v(142)*v(213)
      v(503)=v(142)*v(228)
      v(500)=v(142)*v(210)
      v(498)=v(142)*v(226)
      v(451)=v(142)*v(225)
      v(446)=v(142)*v(219)
      v(442)=v(142)*v(215)
      v(437)=v(142)*v(211)
      v(574)=-(v(225)/v(139))
      v(575)=v(120)*v(347)-v(574)
      v(572)=-(v(222)/v(139))
      v(573)=v(120)*v(346)-v(572)
      v(569)=-(v(219)/v(139))
      v(570)=v(120)*v(344)-v(569)
      v(567)=-(v(217)/v(139))
      v(568)=v(120)*v(343)-v(567)
      v(564)=-(v(215)/v(139))
      v(565)=v(120)*v(341)-v(564)
      v(562)=-(v(213)/v(139))
      v(563)=v(120)*v(340)-v(562)
      v(559)=-(v(211)/v(139))
      v(560)=v(120)*v(338)-v(559)
      v(557)=-(v(210)/v(139))
      v(558)=v(120)*v(337)-v(557)
      v(556)=v(121)*v(348)+v(574)
      v(553)=-(v(233)/v(139))
      v(554)=v(121)*v(346)-v(553)
      v(552)=v(121)*v(345)+v(569)
      v(549)=-(v(230)/v(139))
      v(550)=v(121)*v(343)-v(549)
      v(548)=v(121)*v(342)+v(564)
      v(545)=-(v(228)/v(139))
      v(546)=v(121)*v(340)-v(545)
      v(544)=v(121)*v(339)+v(559)
      v(541)=-(v(226)/v(139))
      v(542)=v(121)*v(337)-v(541)
      v(540)=v(122)*v(348)+v(572)
      v(539)=v(122)*v(347)+v(553)
      v(537)=v(122)*v(345)+v(567)
      v(536)=v(122)*v(344)+v(549)
      v(534)=v(122)*v(342)+v(562)
      v(533)=v(122)*v(341)+v(545)
      v(531)=v(122)*v(339)+v(557)
      v(530)=v(122)*v(338)+v(541)
      v(448)=-(v(209)/v(139))
      v(527)=v(29)*(v(122)*v(333)+v(137)*v(347)+v(448)-v(513))
      v(524)=v(29)*(v(122)*v(326)+v(137)*v(344)-v(448)-v(508))
      v(462)=v(29)*(v(121)*v(330)+v(135)*v(346)-v(448)+v(513))
      v(459)=v(29)*(v(121)*v(325)+v(135)*v(343)+v(448)+v(508))
      v(439)=-(v(207)/v(139))
      v(521)=v(29)*(v(122)*v(321)+v(137)*v(341)+v(439)-v(503))
      v(518)=v(29)*(v(122)*v(314)+v(137)*v(338)-v(439)-v(498))
      v(456)=v(29)*(v(121)*v(318)+v(135)*v(340)-v(439)+v(503))
      v(453)=v(29)*(v(121)*v(313)+v(135)*v(337)+v(439)+v(498))
      v(418)=-(v(204)/v(139))
      v(495)=v(29)*(v(122)*v(308)+v(138)*v(347)+v(418)-v(481))
      v(486)=v(29)*(v(122)*v(289)+v(138)*v(338)-v(418)-v(466))
      v(432)=v(29)*(v(121)*v(305)+v(136)*v(346)-v(418)+v(481))
      v(413)=-(v(206)/v(139))
      v(492)=v(29)*(v(122)*v(299)+v(138)*v(344)+v(413)-v(476))
      v(489)=v(29)*(v(122)*v(292)+v(138)*v(341)-v(413)-v(471))
      v(429)=v(29)*(v(121)*v(296)+v(136)*v(343)-v(413)+v(476))
      v(426)=v(29)*(v(121)*v(291)+v(136)*v(340)+v(413)+v(471))
      v(423)=v(29)*(v(121)*v(288)+v(136)*v(337)+v(418)+v(466))
      v(390)=v(203)/v(139)
      v(464)=v(29)*(v(121)*v(336)+v(135)*v(348)+v(390)-v(451))
      v(461)=v(29)*(v(121)*v(327)+v(135)*v(345)-v(390)-v(446))
      v(403)=v(29)*(v(120)*v(333)+v(133)*v(347)-v(390)+v(451))
      v(388)=v(201)/v(139)
      v(528)=v(29)*(v(122)*v(336)+v(137)*v(348)+v(388)-v(515))
      v(525)=v(29)*(v(122)*v(327)+v(137)*v(345)-v(388)-v(510))
      v(402)=v(29)*(v(120)*v(330)+v(133)*v(346)-v(388)+v(515))
      v(400)=v(29)*(v(120)*v(326)+v(133)*v(344)+v(390)+v(446))
      v(399)=v(29)*(v(120)*v(325)+v(133)*v(343)+v(388)+v(510))
      v(382)=v(199)/v(139)
      v(458)=v(29)*(v(121)*v(324)+v(135)*v(342)+v(382)-v(442))
      v(455)=v(29)*(v(121)*v(315)+v(135)*v(339)-v(382)-v(437))
      v(397)=v(29)*(v(120)*v(321)+v(133)*v(341)-v(382)+v(442))
      v(380)=v(198)/v(139)
      v(522)=v(29)*(v(122)*v(324)+v(137)*v(342)+v(380)-v(505))
      v(519)=v(29)*(v(122)*v(315)+v(137)*v(339)-v(380)-v(500))
      v(396)=v(29)*(v(120)*v(318)+v(133)*v(340)-v(380)+v(505))
      v(394)=v(29)*(v(120)*v(314)+v(133)*v(338)+v(382)+v(437))
      v(393)=v(29)*(v(120)*v(313)+v(133)*v(337)+v(380)+v(500))
      v(362)=v(193)/v(139)
      v(434)=v(29)*(v(121)*v(311)+v(136)*v(348)+v(362)-v(421))
      v(425)=v(29)*(v(121)*v(290)+v(136)*v(339)-v(362)-v(407))
      v(375)=v(29)*(v(120)*v(308)+v(134)*v(347)-v(362)+v(421))
      v(360)=v(192)/v(139)
      v(496)=v(29)*(v(122)*v(311)+v(138)*v(348)+v(360)-v(483))
      v(487)=v(29)*(v(122)*v(290)+v(138)*v(339)-v(360)-v(468))
      v(374)=v(29)*(v(120)*v(305)+v(134)*v(346)-v(360)+v(483))
      v(357)=v(197)/v(139)
      v(431)=v(29)*(v(121)*v(302)+v(136)*v(345)+v(357)-v(416))
      v(428)=v(29)*(v(121)*v(293)+v(136)*v(342)-v(357)-v(411))
      v(372)=v(29)*(v(120)*v(299)+v(134)*v(344)-v(357)+v(416))
      v(355)=v(195)/v(139)
      v(493)=v(29)*(v(122)*v(302)+v(138)*v(345)+v(355)-v(478))
      v(490)=v(29)*(v(122)*v(293)+v(138)*v(342)-v(355)-v(473))
      v(371)=v(29)*(v(120)*v(296)+v(134)*v(343)-v(355)+v(478))
      v(369)=v(29)*(v(120)*v(292)+v(134)*v(341)+v(357)+v(411))
      v(368)=v(29)*(v(120)*v(291)+v(134)*v(340)+v(355)+v(473))
      v(366)=v(29)*(v(120)*v(289)+v(134)*v(338)+v(362)+v(407))
      v(365)=v(29)*(v(120)*v(288)+v(134)*v(337)+v(360)+v(468))
      v(156)=v(119)+(v(134)/v(139)+v(120)*v(144))*v(29)
      v(155)=v(116)+(v(133)/v(139)+v(120)*v(142))*v(29)
      v(154)=v(118)+(v(136)/v(139)+v(121)*v(144))*v(29)
      v(153)=v(115)+(v(135)/v(139)+v(121)*v(142))*v(29)
      v(152)=v(117)+(v(138)/v(139)+v(122)*v(144))*v(29)
      v(151)=v(114)+(v(137)/v(139)+v(122)*v(142))*v(29)
      v(123)=v(122)/v(139)
      v(125)=v(121)/v(139)
      v(126)=v(120)/v(139)
      v(157)=1d0/(v(161)*v(65)+v(165)*v(67)+v(169)*v(68))
      v(684)=v(157)*(v(171)*v(376)+v(170)*v(404)+v(169)*v(576))
      v(683)=v(157)*(v(171)*v(375)+v(170)*v(403)+v(169)*v(575))
      v(682)=v(157)*(v(171)*v(374)+v(170)*v(402)+v(169)*v(573))
      v(681)=v(157)*(v(171)*v(373)+v(170)*v(401)+v(169)*v(571))
      v(680)=v(157)*(v(171)*v(372)+v(170)*v(400)+v(169)*v(570))
      v(679)=v(157)*(v(171)*v(371)+v(170)*v(399)+v(169)*v(568))
      v(678)=v(157)*(v(171)*v(370)+v(170)*v(398)+v(169)*v(566))
      v(677)=v(157)*(v(171)*v(369)+v(170)*v(397)+v(169)*v(565))
      v(676)=v(157)*(v(171)*v(368)+v(170)*v(396)+v(169)*v(563))
      v(675)=v(157)*(v(171)*v(367)+v(170)*v(395)+v(169)*v(561))
      v(674)=v(157)*(v(171)*v(366)+v(170)*v(394)+v(169)*v(560))
      v(673)=v(157)*(v(171)*v(365)+v(170)*v(393)+v(169)*v(558))
      v(672)=v(157)*(v(167)*v(376)+v(166)*v(404)+v(165)*v(576))
      v(671)=v(157)*(v(167)*v(375)+v(166)*v(403)+v(165)*v(575))
      v(670)=v(157)*(v(167)*v(374)+v(166)*v(402)+v(165)*v(573))
      v(669)=v(157)*(v(167)*v(373)+v(166)*v(401)+v(165)*v(571))
      v(668)=v(157)*(v(167)*v(372)+v(166)*v(400)+v(165)*v(570))
      v(667)=v(157)*(v(167)*v(371)+v(166)*v(399)+v(165)*v(568))
      v(666)=v(157)*(v(167)*v(370)+v(166)*v(398)+v(165)*v(566))
      v(665)=v(157)*(v(167)*v(369)+v(166)*v(397)+v(165)*v(565))
      v(664)=v(157)*(v(167)*v(368)+v(166)*v(396)+v(165)*v(563))
      v(663)=v(157)*(v(167)*v(367)+v(166)*v(395)+v(165)*v(561))
      v(662)=v(157)*(v(167)*v(366)+v(166)*v(394)+v(165)*v(560))
      v(661)=v(157)*(v(167)*v(365)+v(166)*v(393)+v(165)*v(558))
      v(660)=v(157)*(v(163)*v(376)+v(162)*v(404)+v(161)*v(576))
      v(659)=v(157)*(v(163)*v(375)+v(162)*v(403)+v(161)*v(575))
      v(658)=v(157)*(v(163)*v(374)+v(162)*v(402)+v(161)*v(573))
      v(657)=v(157)*(v(163)*v(373)+v(162)*v(401)+v(161)*v(571))
      v(656)=v(157)*(v(163)*v(372)+v(162)*v(400)+v(161)*v(570))
      v(655)=v(157)*(v(163)*v(371)+v(162)*v(399)+v(161)*v(568))
      v(654)=v(157)*(v(163)*v(370)+v(162)*v(398)+v(161)*v(566))
      v(653)=v(157)*(v(163)*v(369)+v(162)*v(397)+v(161)*v(565))
      v(652)=v(157)*(v(163)*v(368)+v(162)*v(396)+v(161)*v(563))
      v(651)=v(157)*(v(163)*v(367)+v(162)*v(395)+v(161)*v(561))
      v(650)=v(157)*(v(163)*v(366)+v(162)*v(394)+v(161)*v(560))
      v(649)=v(157)*(v(163)*v(365)+v(162)*v(393)+v(161)*v(558))
      v(648)=v(157)*(v(171)*v(434)+v(170)*v(464)+v(169)*v(556))
      v(647)=v(157)*(v(171)*v(433)+v(170)*v(463)+v(169)*v(555))
      v(646)=v(157)*(v(171)*v(432)+v(170)*v(462)+v(169)*v(554))
      v(645)=v(157)*(v(171)*v(431)+v(170)*v(461)+v(169)*v(552))
      v(644)=v(157)*(v(171)*v(430)+v(170)*v(460)+v(169)*v(551))
      v(643)=v(157)*(v(171)*v(429)+v(170)*v(459)+v(169)*v(550))
      v(642)=v(157)*(v(171)*v(428)+v(170)*v(458)+v(169)*v(548))
      v(641)=v(157)*(v(171)*v(427)+v(170)*v(457)+v(169)*v(547))
      v(640)=v(157)*(v(171)*v(426)+v(170)*v(456)+v(169)*v(546))
      v(639)=v(157)*(v(171)*v(425)+v(170)*v(455)+v(169)*v(544))
      v(638)=v(157)*(v(171)*v(424)+v(170)*v(454)+v(169)*v(543))
      v(637)=v(157)*(v(171)*v(423)+v(170)*v(453)+v(169)*v(542))
      v(636)=v(157)*(v(167)*v(434)+v(166)*v(464)+v(165)*v(556))
      v(635)=v(157)*(v(167)*v(433)+v(166)*v(463)+v(165)*v(555))
      v(634)=v(157)*(v(167)*v(432)+v(166)*v(462)+v(165)*v(554))
      v(633)=v(157)*(v(167)*v(431)+v(166)*v(461)+v(165)*v(552))
      v(632)=v(157)*(v(167)*v(430)+v(166)*v(460)+v(165)*v(551))
      v(631)=v(157)*(v(167)*v(429)+v(166)*v(459)+v(165)*v(550))
      v(630)=v(157)*(v(167)*v(428)+v(166)*v(458)+v(165)*v(548))
      v(629)=v(157)*(v(167)*v(427)+v(166)*v(457)+v(165)*v(547))
      v(628)=v(157)*(v(167)*v(426)+v(166)*v(456)+v(165)*v(546))
      v(627)=v(157)*(v(167)*v(425)+v(166)*v(455)+v(165)*v(544))
      v(626)=v(157)*(v(167)*v(424)+v(166)*v(454)+v(165)*v(543))
      v(625)=v(157)*(v(167)*v(423)+v(166)*v(453)+v(165)*v(542))
      v(624)=v(157)*(v(163)*v(434)+v(162)*v(464)+v(161)*v(556))
      v(623)=v(157)*(v(163)*v(433)+v(162)*v(463)+v(161)*v(555))
      v(622)=v(157)*(v(163)*v(432)+v(162)*v(462)+v(161)*v(554))
      v(621)=v(157)*(v(163)*v(431)+v(162)*v(461)+v(161)*v(552))
      v(620)=v(157)*(v(163)*v(430)+v(162)*v(460)+v(161)*v(551))
      v(619)=v(157)*(v(163)*v(429)+v(162)*v(459)+v(161)*v(550))
      v(618)=v(157)*(v(163)*v(428)+v(162)*v(458)+v(161)*v(548))
      v(617)=v(157)*(v(163)*v(427)+v(162)*v(457)+v(161)*v(547))
      v(616)=v(157)*(v(163)*v(426)+v(162)*v(456)+v(161)*v(546))
      v(615)=v(157)*(v(163)*v(425)+v(162)*v(455)+v(161)*v(544))
      v(614)=v(157)*(v(163)*v(424)+v(162)*v(454)+v(161)*v(543))
      v(613)=v(157)*(v(163)*v(423)+v(162)*v(453)+v(161)*v(542))
      v(158)=v(157)*(v(123)*v(161)+v(151)*v(162)+v(152)*v(163))
      v(159)=v(157)*(v(123)*v(165)+v(151)*v(166)+v(152)*v(167))
      v(160)=v(157)*(v(123)*v(169)+v(151)*v(170)+v(152)*v(171))
      v(164)=v(157)*(v(125)*v(161)+v(153)*v(162)+v(154)*v(163))
      v(168)=v(157)*(v(125)*v(165)+v(153)*v(166)+v(154)*v(167))
      v(172)=v(157)*(v(125)*v(169)+v(153)*v(170)+v(154)*v(171))
      v(173)=v(157)*(v(126)*v(161)+v(155)*v(162)+v(156)*v(163))
      v(174)=v(157)*(v(126)*v(165)+v(155)*v(166)+v(156)*v(167))
      v(687)=-(v(168)*v(173))+v(164)*v(174)
      v(175)=v(157)*(v(126)*v(169)+v(155)*v(170)+v(156)*v(171))
      v(686)=-(v(172)*v(173))+v(164)*v(175)
      v(685)=-(v(172)*v(174))+v(168)*v(175)
      v(180)=v(158)*v(685)-v(159)*v(686)+v(160)*v(687)
      v(1028)=kE/(rhoEeq*v(180))
      v(792)=v(1023)*v(180)
      v(787)=(0.5d-1*v(1028))/siE
      v(1024)=(-1d0)*v(787)*v(792)
      v(1025)=1d0*v(1024)
      v(796)=v(1024)*v(48)
      v(795)=v(1024)*v(45)
      v(794)=v(1025)*v(43)
      v(1029)=v(1025)*(v(41)*v(41))
      v(176)=rhoEvec(1)*v(41)+rhoEvec(2)*v(43)+rhoEvec(3)*v(45)
     &+rhoEvec(4)*v(48)
      v(726)=v(1023)*(v(160)*(v(174)*v(624)-v(173)*v(636)-v(168)*v
     &(660)+v(164)*v(672))-v(159)*(v(175)*v(624)-v(173)*v(648)-v(172
     &)*v(660)+v(164)*v(684))+v(158)*(v(175)*v(636)-v(174)*v(648)-v
     &(172)*v(672)+v(168)*v(684))+v(157)*((v(163)*v(496)+v(162)*v(528
     &)+v(161)*v(540))*v(685)-(v(167)*v(496)+v(166)*v(528)+v(165)*v
     &(540))*v(686)+(v(171)*v(496)+v(170)*v(528)+v(169)*v(540))*v(687
     &)))
      v(724)=v(1023)*(v(160)*(v(174)*v(623)-v(173)*v(635)-v(168)*v
     &(659)+v(164)*v(671))-v(159)*(v(175)*v(623)-v(173)*v(647)-v(172
     &)*v(659)+v(164)*v(683))+v(158)*(v(175)*v(635)-v(174)*v(647)-v
     &(172)*v(671)+v(168)*v(683))+v(157)*((v(163)*v(495)+v(162)*v(527
     &)+v(161)*v(539))*v(685)-(v(167)*v(495)+v(166)*v(527)+v(165)*v
     &(539))*v(686)+(v(171)*v(495)+v(170)*v(527)+v(169)*v(539))*v(687
     &)))
      v(722)=v(1023)*(v(160)*(v(174)*v(622)-v(173)*v(634)-v(168)*v
     &(658)+v(164)*v(670))-v(159)*(v(175)*v(622)-v(173)*v(646)-v(172
     &)*v(658)+v(164)*v(682))+v(158)*(v(175)*v(634)-v(174)*v(646)-v
     &(172)*v(670)+v(168)*v(682))+v(157)*((v(163)*v(494)+v(162)*v(526
     &)+v(161)*v(538))*v(685)-(v(167)*v(494)+v(166)*v(526)+v(165)*v
     &(538))*v(686)+(v(171)*v(494)+v(170)*v(526)+v(169)*v(538))*v(687
     &)))
      v(720)=v(1023)*(v(160)*(v(174)*v(621)-v(173)*v(633)-v(168)*v
     &(657)+v(164)*v(669))-v(159)*(v(175)*v(621)-v(173)*v(645)-v(172
     &)*v(657)+v(164)*v(681))+v(158)*(v(175)*v(633)-v(174)*v(645)-v
     &(172)*v(669)+v(168)*v(681))+v(157)*((v(163)*v(493)+v(162)*v(525
     &)+v(161)*v(537))*v(685)-(v(167)*v(493)+v(166)*v(525)+v(165)*v
     &(537))*v(686)+(v(171)*v(493)+v(170)*v(525)+v(169)*v(537))*v(687
     &)))
      v(718)=v(1023)*(v(160)*(v(174)*v(620)-v(173)*v(632)-v(168)*v
     &(656)+v(164)*v(668))-v(159)*(v(175)*v(620)-v(173)*v(644)-v(172
     &)*v(656)+v(164)*v(680))+v(158)*(v(175)*v(632)-v(174)*v(644)-v
     &(172)*v(668)+v(168)*v(680))+v(157)*((v(163)*v(492)+v(162)*v(524
     &)+v(161)*v(536))*v(685)-(v(167)*v(492)+v(166)*v(524)+v(165)*v
     &(536))*v(686)+(v(171)*v(492)+v(170)*v(524)+v(169)*v(536))*v(687
     &)))
      v(716)=v(1023)*(v(160)*(v(174)*v(619)-v(173)*v(631)-v(168)*v
     &(655)+v(164)*v(667))-v(159)*(v(175)*v(619)-v(173)*v(643)-v(172
     &)*v(655)+v(164)*v(679))+v(158)*(v(175)*v(631)-v(174)*v(643)-v
     &(172)*v(667)+v(168)*v(679))+v(157)*((v(163)*v(491)+v(162)*v(523
     &)+v(161)*v(535))*v(685)-(v(167)*v(491)+v(166)*v(523)+v(165)*v
     &(535))*v(686)+(v(171)*v(491)+v(170)*v(523)+v(169)*v(535))*v(687
     &)))
      v(714)=v(1023)*(v(160)*(v(174)*v(618)-v(173)*v(630)-v(168)*v
     &(654)+v(164)*v(666))-v(159)*(v(175)*v(618)-v(173)*v(642)-v(172
     &)*v(654)+v(164)*v(678))+v(158)*(v(175)*v(630)-v(174)*v(642)-v
     &(172)*v(666)+v(168)*v(678))+v(157)*((v(163)*v(490)+v(162)*v(522
     &)+v(161)*v(534))*v(685)-(v(167)*v(490)+v(166)*v(522)+v(165)*v
     &(534))*v(686)+(v(171)*v(490)+v(170)*v(522)+v(169)*v(534))*v(687
     &)))
      v(712)=v(1023)*(v(160)*(v(174)*v(617)-v(173)*v(629)-v(168)*v
     &(653)+v(164)*v(665))-v(159)*(v(175)*v(617)-v(173)*v(641)-v(172
     &)*v(653)+v(164)*v(677))+v(158)*(v(175)*v(629)-v(174)*v(641)-v
     &(172)*v(665)+v(168)*v(677))+v(157)*((v(163)*v(489)+v(162)*v(521
     &)+v(161)*v(533))*v(685)-(v(167)*v(489)+v(166)*v(521)+v(165)*v
     &(533))*v(686)+(v(171)*v(489)+v(170)*v(521)+v(169)*v(533))*v(687
     &)))
      v(710)=v(1023)*(v(160)*(v(174)*v(616)-v(173)*v(628)-v(168)*v
     &(652)+v(164)*v(664))-v(159)*(v(175)*v(616)-v(173)*v(640)-v(172
     &)*v(652)+v(164)*v(676))+v(158)*(v(175)*v(628)-v(174)*v(640)-v
     &(172)*v(664)+v(168)*v(676))+v(157)*((v(163)*v(488)+v(162)*v(520
     &)+v(161)*v(532))*v(685)-(v(167)*v(488)+v(166)*v(520)+v(165)*v
     &(532))*v(686)+(v(171)*v(488)+v(170)*v(520)+v(169)*v(532))*v(687
     &)))
      v(708)=v(1023)*(v(160)*(v(174)*v(615)-v(173)*v(627)-v(168)*v
     &(651)+v(164)*v(663))-v(159)*(v(175)*v(615)-v(173)*v(639)-v(172
     &)*v(651)+v(164)*v(675))+v(158)*(v(175)*v(627)-v(174)*v(639)-v
     &(172)*v(663)+v(168)*v(675))+v(157)*((v(163)*v(487)+v(162)*v(519
     &)+v(161)*v(531))*v(685)-(v(167)*v(487)+v(166)*v(519)+v(165)*v
     &(531))*v(686)+(v(171)*v(487)+v(170)*v(519)+v(169)*v(531))*v(687
     &)))
      v(706)=v(1023)*(v(160)*(v(174)*v(614)-v(173)*v(626)-v(168)*v
     &(650)+v(164)*v(662))-v(159)*(v(175)*v(614)-v(173)*v(638)-v(172
     &)*v(650)+v(164)*v(674))+v(158)*(v(175)*v(626)-v(174)*v(638)-v
     &(172)*v(662)+v(168)*v(674))+v(157)*((v(163)*v(486)+v(162)*v(518
     &)+v(161)*v(530))*v(685)-(v(167)*v(486)+v(166)*v(518)+v(165)*v
     &(530))*v(686)+(v(171)*v(486)+v(170)*v(518)+v(169)*v(530))*v(687
     &)))
      v(704)=v(1023)*(v(160)*(v(174)*v(613)-v(173)*v(625)-v(168)*v
     &(649)+v(164)*v(661))-v(159)*(v(175)*v(613)-v(173)*v(637)-v(172
     &)*v(649)+v(164)*v(673))+v(158)*(v(175)*v(625)-v(174)*v(637)-v
     &(172)*v(661)+v(168)*v(673))+v(157)*((v(163)*v(485)+v(162)*v(517
     &)+v(161)*v(529))*v(685)-(v(167)*v(485)+v(166)*v(517)+v(165)*v
     &(529))*v(686)+(v(171)*v(485)+v(170)*v(517)+v(169)*v(529))*v(687
     &)))
      v(186)=(1d0-v(176)*v(787))*v(792)
      v(177)=1d0-dexp(-(lB1P*v(2)))
      v(1026)=qPbarref*v(177)
      v(800)=v(1026)*v(796)
      v(808)=v(45)*v(800)
      v(804)=v(41)*v(800)
      v(799)=v(1026)*v(795)
      v(806)=v(43)*v(799)
      v(803)=v(41)*v(799)
      v(798)=v(1026)*v(794)
      v(802)=v(41)*v(798)
      v(738)=v(1026)*v(726)
      v(737)=v(1026)*v(724)
      v(736)=v(1026)*v(722)
      v(735)=v(1026)*v(720)
      v(734)=v(1026)*v(718)
      v(733)=v(1026)*v(716)
      v(732)=v(1026)*v(714)
      v(731)=v(1026)*v(712)
      v(730)=v(1026)*v(710)
      v(729)=v(1026)*v(708)
      v(728)=v(1026)*v(706)
      v(727)=v(1026)*v(704)
      v(182)=v(1026)*v(186)
      v(178)=1d0-dexp(-(lB1T*v(2)))
      v(1027)=qTbarref*v(178)
      v(986)=v(1027)*v(796)
      v(994)=v(45)*v(986)
      v(990)=v(41)*v(986)
      v(985)=v(1027)*v(795)
      v(992)=v(43)*v(985)
      v(989)=v(41)*v(985)
      v(984)=v(1027)*v(794)
      v(988)=v(41)*v(984)
      v(934)=v(1027)*v(726)
      v(933)=v(1027)*v(724)
      v(932)=v(1027)*v(722)
      v(931)=v(1027)*v(720)
      v(930)=v(1027)*v(718)
      v(929)=v(1027)*v(716)
      v(928)=v(1027)*v(714)
      v(927)=v(1027)*v(712)
      v(926)=v(1027)*v(710)
      v(925)=v(1027)*v(708)
      v(924)=v(1027)*v(706)
      v(923)=v(1027)*v(704)
      v(188)=v(1027)*v(186)
      v(997)=1d0-v(1028)*v(176)
      lfP=v(177)*v(997)
      lfT=v(178)*v(997)
      resP(1)=v(182)*v(41)
      resP(2)=v(182)*v(43)
      resP(3)=v(182)*v(45)
      resP(4)=v(182)*v(48)
      tangPU(1,1)=v(41)*v(727)
      tangPU(1,2)=v(41)*v(728)
      tangPU(1,3)=v(41)*v(729)
      tangPU(1,4)=v(41)*v(730)
      tangPU(1,5)=v(41)*v(731)
      tangPU(1,6)=v(41)*v(732)
      tangPU(1,7)=v(41)*v(733)
      tangPU(1,8)=v(41)*v(734)
      tangPU(1,9)=v(41)*v(735)
      tangPU(1,10)=v(41)*v(736)
      tangPU(1,11)=v(41)*v(737)
      tangPU(1,12)=v(41)*v(738)
      tangPU(2,1)=v(43)*v(727)
      tangPU(2,2)=v(43)*v(728)
      tangPU(2,3)=v(43)*v(729)
      tangPU(2,4)=v(43)*v(730)
      tangPU(2,5)=v(43)*v(731)
      tangPU(2,6)=v(43)*v(732)
      tangPU(2,7)=v(43)*v(733)
      tangPU(2,8)=v(43)*v(734)
      tangPU(2,9)=v(43)*v(735)
      tangPU(2,10)=v(43)*v(736)
      tangPU(2,11)=v(43)*v(737)
      tangPU(2,12)=v(43)*v(738)
      tangPU(3,1)=v(45)*v(727)
      tangPU(3,2)=v(45)*v(728)
      tangPU(3,3)=v(45)*v(729)
      tangPU(3,4)=v(45)*v(730)
      tangPU(3,5)=v(45)*v(731)
      tangPU(3,6)=v(45)*v(732)
      tangPU(3,7)=v(45)*v(733)
      tangPU(3,8)=v(45)*v(734)
      tangPU(3,9)=v(45)*v(735)
      tangPU(3,10)=v(45)*v(736)
      tangPU(3,11)=v(45)*v(737)
      tangPU(3,12)=v(45)*v(738)
      tangPU(4,1)=v(48)*v(727)
      tangPU(4,2)=v(48)*v(728)
      tangPU(4,3)=v(48)*v(729)
      tangPU(4,4)=v(48)*v(730)
      tangPU(4,5)=v(48)*v(731)
      tangPU(4,6)=v(48)*v(732)
      tangPU(4,7)=v(48)*v(733)
      tangPU(4,8)=v(48)*v(734)
      tangPU(4,9)=v(48)*v(735)
      tangPU(4,10)=v(48)*v(736)
      tangPU(4,11)=v(48)*v(737)
      tangPU(4,12)=v(48)*v(738)
      tangPEn(1,1)=v(1026)*v(1029)
      tangPEn(1,2)=v(802)
      tangPEn(1,3)=v(803)
      tangPEn(1,4)=v(804)
      tangPEn(2,1)=v(802)
      tangPEn(2,2)=v(43)*v(798)
      tangPEn(2,3)=v(806)
      tangPEn(2,4)=v(803)
      tangPEn(3,1)=v(803)
      tangPEn(3,2)=v(806)
      tangPEn(3,3)=v(45)*v(799)
      tangPEn(3,4)=v(808)
      tangPEn(4,1)=v(804)
      tangPEn(4,2)=v(803)
      tangPEn(4,3)=v(808)
      tangPEn(4,4)=v(48)*v(800)
      resT(1)=v(188)*v(41)
      resT(2)=v(188)*v(43)
      resT(3)=v(188)*v(45)
      resT(4)=v(188)*v(48)
      tangTU(1,1)=v(41)*v(923)
      tangTU(1,2)=v(41)*v(924)
      tangTU(1,3)=v(41)*v(925)
      tangTU(1,4)=v(41)*v(926)
      tangTU(1,5)=v(41)*v(927)
      tangTU(1,6)=v(41)*v(928)
      tangTU(1,7)=v(41)*v(929)
      tangTU(1,8)=v(41)*v(930)
      tangTU(1,9)=v(41)*v(931)
      tangTU(1,10)=v(41)*v(932)
      tangTU(1,11)=v(41)*v(933)
      tangTU(1,12)=v(41)*v(934)
      tangTU(2,1)=v(43)*v(923)
      tangTU(2,2)=v(43)*v(924)
      tangTU(2,3)=v(43)*v(925)
      tangTU(2,4)=v(43)*v(926)
      tangTU(2,5)=v(43)*v(927)
      tangTU(2,6)=v(43)*v(928)
      tangTU(2,7)=v(43)*v(929)
      tangTU(2,8)=v(43)*v(930)
      tangTU(2,9)=v(43)*v(931)
      tangTU(2,10)=v(43)*v(932)
      tangTU(2,11)=v(43)*v(933)
      tangTU(2,12)=v(43)*v(934)
      tangTU(3,1)=v(45)*v(923)
      tangTU(3,2)=v(45)*v(924)
      tangTU(3,3)=v(45)*v(925)
      tangTU(3,4)=v(45)*v(926)
      tangTU(3,5)=v(45)*v(927)
      tangTU(3,6)=v(45)*v(928)
      tangTU(3,7)=v(45)*v(929)
      tangTU(3,8)=v(45)*v(930)
      tangTU(3,9)=v(45)*v(931)
      tangTU(3,10)=v(45)*v(932)
      tangTU(3,11)=v(45)*v(933)
      tangTU(3,12)=v(45)*v(934)
      tangTU(4,1)=v(48)*v(923)
      tangTU(4,2)=v(48)*v(924)
      tangTU(4,3)=v(48)*v(925)
      tangTU(4,4)=v(48)*v(926)
      tangTU(4,5)=v(48)*v(927)
      tangTU(4,6)=v(48)*v(928)
      tangTU(4,7)=v(48)*v(929)
      tangTU(4,8)=v(48)*v(930)
      tangTU(4,9)=v(48)*v(931)
      tangTU(4,10)=v(48)*v(932)
      tangTU(4,11)=v(48)*v(933)
      tangTU(4,12)=v(48)*v(934)
      tangTEn(1,1)=v(1027)*v(1029)
      tangTEn(1,2)=v(988)
      tangTEn(1,3)=v(989)
      tangTEn(1,4)=v(990)
      tangTEn(2,1)=v(988)
      tangTEn(2,2)=v(43)*v(984)
      tangTEn(2,3)=v(992)
      tangTEn(2,4)=v(989)
      tangTEn(3,1)=v(989)
      tangTEn(3,2)=v(992)
      tangTEn(3,3)=v(45)*v(985)
      tangTEn(3,4)=v(994)
      tangTEn(4,1)=v(990)
      tangTEn(4,2)=v(989)
      tangTEn(4,3)=v(994)
      tangTEn(4,4)=v(48)*v(986)
      END
